/*
 * @file TArtParserRDF.cc
 * @date  Created : 2008/10/19 11:07:34 JST<BR>
 *  Last Modified : 2008/10/30 21:50:15 JST
 *--------------------------------------------------------
 *    Comment : 
 *    
 *--------------------------------------------------------
 *    Copyright (C)2008 by Shinsuke OTA<ota@ribf.riken.jp>
 */
#include "TArtCore.h"
#include "TArtParserRDF.h"
#include "TArtMapper.h"

TArtParserRDF::TArtParserRDF()
  : mapper(NULL)
{
  mapper = TArtMapper::Instance();
}
TArtParserRDF::~TArtParserRDF()
{
  if(mapper){ delete mapper; mapper=NULL; }
}

void TArtParserRDF::GetNextBlock(TArtDataSource *source)
{
  TArtCore::Debug("TArtParserRDF","GetNextBlock");

  return;
}
bool TArtParserRDF::GetNextEvent(TArtRawEventObject *rawdata)
{
  TArtCore::Debug("TArtParserRDF","GetNextEvent");

  return true;
}
int TArtParserRDF::CopyPrevEvent(char *dest)
{
  return 0;
}
