#ifndef TARTMETHODLOADNEBULA_HH
#define TARTMETHODLOADNEBULA_HH

#include "TObject.h"

#include "TArtMethodLoad.hh"

class TArtRawEventObject;
class TArtDataNEBULA;
class TArtParameterNEBULA;

class TArtMethodLoadNEBULA : public TArtMethodLoad
{
 public:
  TArtMethodLoadNEBULA(TArtDataNEBULA *datanebula, const TArtParameterNEBULA *parameternebula);
  ~TArtMethodLoadNEBULA();

  void operator()(TArtRawEventObject *event);

 private:
  TArtDataNEBULA *fDataNEBULA;
  const TArtParameterNEBULA *fParameterNEBULA;

  ClassDef(TArtMethodLoadNEBULA,1);
 };

#endif
