#ifndef _TARTTOFPARA_H_
#define _TARTTOFPARA_H_

#include <TROOT.h>

class TArtTOFPara : public TNamed {
  
 public:
  TArtTOFPara(){}
  TArtTOFPara(Int_t i, char *f, char *b, Double_t r=0) :
    id(i), offset(r) {
    forward_plname = f;
    backward_plname = b;
  }
  ~TArtTOFPara(){}

  Int_t GetID() const { return id; }
  TString * GetForwardPlName() { return &forward_plname; }
  TString * GetBackwardPlName() { return &backward_plname; }
  Double_t GetOffset() const { return offset; }

 private:
  Int_t     id;
  TString   forward_plname;
  TString   backward_plname;
  Double_t  offset;

  ClassDef(TArtTOFPara,1);

};

#endif
